XFuStringKey class Reference

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# XFuStringKey Class Reference

`#include <XFuStringKey.h>`

List of all members.

## Public Member Functions

| XFuStringKey ()
| Default constructor.
| XFuStringKey (const CHAR *aKey)
| Constructor.
| XFuStringKey (const XFuStringKey &aKey)
| Copy constructor.
XFuStringKey & | operator= (const XFuStringKey &aKey)
| Overloaded assignment operator.
virtual | ~XFuStringKey ()
| Destructor.
void | init (const CHAR *aKey)
| Initializer.

## Public Attributes

CHAR * | mKey
| Key value.
UINT32 | mHashCode
| Hash code.

## Protected Attributes

CHAR | mData [XFUSTRINGKEY_DATASIZE]
UINT8 | mUsingData

## Constructor & Destructor Documentation

XFuStringKey::XFuStringKey | ( |  | ) |

| Default constructor. Definition at line 17 of file XFuStringKey.cpp. References mHashCode, mKey, and mUsingData.

XFuStringKey::XFuStringKey | ( | const CHAR * | aKey | ) |

| Constructor. Definition at line 25 of file XFuStringKey.cpp. References init().

XFuStringKey::XFuStringKey | ( | const XFuStringKey & | aKey | ) |

| Copy constructor. Definition at line 31 of file XFuStringKey.cpp. References init(), and mKey.

XFuStringKey::~XFuStringKey | ( |  | ) | `[virtual]`

| Destructor. Definition at line 79 of file XFuStringKey.cpp. References mKey, and mUsingData.

## Member Function Documentation

void XFuStringKey::init | ( | const CHAR * | aKey | ) |

| Initializer. Definition at line 44 of file XFuStringKey.cpp. References mData, mHashCode, mKey, mUsingData, and XFUSTRINGKEY_DATASIZE. Referenced by operator=(), and XFuStringKey().

XFuStringKey & XFuStringKey::operator= | ( | const XFuStringKey & | aKey | ) |

| Overloaded assignment operator. Definition at line 37 of file XFuStringKey.cpp. References init(), and mKey.

## Member Data Documentation

CHAR XFuStringKey::mData[XFUSTRINGKEY_DATASIZE]`[protected]`

| Definition at line 53 of file XFuStringKey.h. Referenced by init().

UINT32 XFuStringKey::mHashCode

| Hash code. Definition at line 49 of file XFuStringKey.h. Referenced by init(), and XFuStringKey().

CHAR* XFuStringKey::mKey

| Key value. Definition at line 46 of file XFuStringKey.h. Referenced by init(), operator=(), XFuStringKey(), and ~XFuStringKey().

UINT8 XFuStringKey::mUsingData`[protected]`

| Definition at line 54 of file XFuStringKey.h. Referenced by init(), XFuStringKey(), and ~XFuStringKey().

The documentation for this class was generated from the following files:

- XFuStringKey.h
- XFuStringKey.cpp

|  | X-Forge Documentation Confidential Copyright © 2002-2003 Fathammer |  | Documentation generated with doxygen by Dimitri van Heesch